org.apache.xerces.util

## Interface MessageFormatter

- All Known Implementing Classes:
    XIncludeMessageFormatter, XMLMessageFormatter, XSMessageFormatter

      public interface MessageFormatter

  This interface provides a generic message formatting mechanism and is useful for producing messages that must be localized and/or formatted with replacement text.
  Version:
    $Id: MessageFormatter.java 809242 2009-08-30 03:34:31Z mrglavas $
  Author:
    Andy Clark
  See Also:
    `XMLErrorReporter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `formatMessage(java.util.Locale locale, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

- - ### Method Detail

    - #### formatMessage

          java.lang.String formatMessage(java.util.Locale locale,
                                         java.lang.String key,
                                         java.lang.Object[] arguments)
                                  throws java.util.MissingResourceException

      Formats a message with the specified arguments using the given locale information.
      Parameters:
        `locale` - The locale of the message.
        `key` - The message key.
        `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
      Returns:
        Returns the formatted message.
      Throws:
        `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.